Package net.shibboleth.idp.plugin.authn.webauthn.storage.impl

# Enum Class StorageServiceCredentialRepositoryFactory.AcceleratorType

java.lang.Object
java.lang.Enum<StorageServiceCredentialRepositoryFactory.AcceleratorType>
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.StorageServiceCredentialRepositoryFactory.AcceleratorType

All Implemented Interfaces:
  `Serializable`, `Comparable<StorageServiceCredentialRepositoryFactory.AcceleratorType>`, `Constable`

Enclosing class:
  StorageServiceCredentialRepositoryFactory

public static enum StorageServiceCredentialRepositoryFactory.AcceleratorType extends Enum<StorageServiceCredentialRepositoryFactory.AcceleratorType>
The type of JDBC accelerator.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`QUERY`
An accelerator that supports specialized queries for credential lookup.
`READALL`
An accelerator that supports the efficient reading of all credentials for lookup.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AcceleratorType()`

## Method Summary

Modifier and Type
Method
Description
`static StorageServiceCredentialRepositoryFactory.AcceleratorType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StorageServiceCredentialRepositoryFactory.AcceleratorType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### QUERY

public static final StorageServiceCredentialRepositoryFactory.AcceleratorType QUERY
An accelerator that supports specialized queries for credential lookup.

### READALL

public static final StorageServiceCredentialRepositoryFactory.AcceleratorType READALL
An accelerator that supports the efficient reading of all credentials for lookup.

## Constructor Details

### AcceleratorType

private AcceleratorType()

## Method Details

### values

public static StorageServiceCredentialRepositoryFactory.AcceleratorType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StorageServiceCredentialRepositoryFactory.AcceleratorType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null